SRD Standelone programmation box: watchdog.c File Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Functions
watchdog.c File Reference

Source file for watchdog control. More...

`#include "watchdog.h"`
Include dependency graph for watchdog.c:

Go to the source code of this file.

## Functions

void | WatchdogStart (tWatchdogSourceClock clockSource, tWatchdogPeriod period)
| start watchdog (can be call only ones and can't call after WatchdogStop()). More...
void | WatchdogStop (void)
| stop watchdog (can be call only ones and can't call after WatchdogStart()). More...
void | WatchdogKick (void)
| Kick the watchdog to avoid reset after the watchdog have started. More...

## Detailed Description

Source file for watchdog control.

Author
  Thibaut LALUQUE 3D-Ouest

Date
  26/09/2014

Version
  1.0

All Right Reserved.

Definition in file watchdog.c.

## Function Documentation

void WatchdogKick | ( | void |  | ) |

inline

Kick the watchdog to avoid reset after the watchdog have started.

Definition at line 86 of file watchdog.c.

Referenced by CR95UartInit(), CriticalInit(), FM25V20MemTest_Clear(), FM25V20MemTest_HighFreqDown(), FM25V20MemTest_HighFreqUp(), FM25V20MemTest_PulseN(), FM25V20MemTest_PulseP(), FM25V20MemTest_Set(), main(), MemoryManagerClearLog(), MemoryManagerComputeNbrLog(), MemoryManagerInit(), MemoryManagerReadDiving(), MemoryManagerReadLog(), MemoryManagerReadSerial(), MemoryManagerWriteDiving(), MemoryManagerWriteLog(), MemoryManagerWriteSerial(), PowerManagerEnterLPM(), PowerManagerExitLPM(), and Setup().

86 {
87 SIM->SRVCOP = 0x55;
88 SIM->SRVCOP = 0xAA;
89 }

Here is the caller graph for this function:

void WatchdogStart | ( | tWatchdogSourceClock | clockSource,
|  | tWatchdogPeriod | period
| ) |  |

start watchdog (can be call only ones and can't call after WatchdogStop()).

Parameters

  [in] | clockSource | (tWatchdogSourceClock) : select the clock for the watchdog.
  [in] | period | (tWatchdogPeriod) : Select the period for the watchdog.

Definition at line 78 of file watchdog.c.

Referenced by CriticalInit().

78 {
79 SIM_COPC = (clockSource << 1) | (period << 2); //Save watchdog cfg
80 }

Here is the caller graph for this function:

void WatchdogStop | ( | void |  | ) |

inline

stop watchdog (can be call only ones and can't call after WatchdogStart()).

Definition at line 82 of file watchdog.c.

82 {
83 SIM_COPC = SIM_COPC_COPT(0x00);
84 }